export declare class EclTimeline {
    el: HTMLElement;
    theme: string;
    styleClass: string;
    eclScript: boolean;
    toBeToggled: boolean;
    getClass(): string;
    componentDidRender(): void;
    render(): any;
}
